%define major 		25
%define cheesemajor	8

%define libname		%mklibname %{name}-gtk %{major}
%define develname	%mklibname -d %{name}-gtk

%define girmajor	3.0
%define girname		%mklibname %{name}-gtk-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		cheese
Version:	3.32.1
Release:	%mkrel 1
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:		Video
URL:		https://wiki.gnome.org/Apps/Cheese
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gnome-common
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.13.2
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala >= 0.13.2
Requires:	gnome-video-effects
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	lib64clutter-gst3.0_0

# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Developent files for %{name}
Requires:	%{name} = %{version}-%{release}
Provides:	lib%{name}-gtk-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%prep
%setup -q

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome --all-name

%define launchers %{_sysconfdir}/dynamic/launchers/webcam

# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=cheese
Exec=cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %{launchers}/%name.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %{launchers}/%name.desktop 60
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %{launchers}/%name.desktop
   update-alternatives --remove webcam.gnome.dynamic %{launchers}/%name.desktop
fi
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%config(noreplace) %{launchers}/*.desktop
%{_bindir}/*
%{_mandir}/man1/cheese.1.*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_datadir}/metainfo/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service
%{_datadir}/help
%{_libdir}/lib%{name}-gtk.so.%{major}*
%{_libdir}/lib%{name}.so.%{cheesemajor}*
%{_libdir}/girepository-1.0/Cheese-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Cheese-%{girmajor}.gir


%changelog
* Mon Apr 08 2019 tex 3.32.1-1pclos2019
- new version 3.32.1

